package ajtest;


import java.rmi.*;
import javax.ejb.*;

/**
 * The trivial stateless session bean returns a greeting.
 */
public class CustomerManagerBean implements javax.ejb.SessionBean {

  public void ejbCreate() throws java.rmi.RemoteException, CreateException{}

  public String[] getCustomersOver(int ageInYears) throws java.rmi.RemoteException{
    int rand = (int)(Math.random() * 100);
    String[] customers = new String[rand];
    for(int i = 0; i < customers.length; i++){
        customers[i] = "Customer Number " + i;
    }
    return customers;
  }
  
  public void register(String name) throws NameExistsException{
    if(Math.random() > .5){
        throw new NameExistsException(name + " already exists!");
    }
  }
  
  public void ejbActivate(){
  }
  
  public void ejbPassivate(){
  }
  
  public void ejbRemove(){
  }
  
  public void setSessionContext(javax.ejb.SessionContext sessionContext){
  }
  
}