package ajtest.simplemock;

import junit.framework.*;
import java.util.*;

public class DeleterTest extends TestCase {
    
    public DeleterTest(java.lang.String testName) {
        super(testName);
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(DeleterTest.class);
        
        return suite;
    }
    
    /** Test of delete method, of class ajtest.simplemock.Deleter. */
    public void testDelete() {
        MockDeletable mock1 = new MockDeletable();
        MockDeletable mock2 = new MockDeletable();
        
        ArrayList mocks = new ArrayList();
        mocks.add(mock1);
        mocks.add(mock2);
        
        Deleter.delete(mocks);
        
        mock1.verify();
        mock2.verify();
    }
    
    
}
