package ajtest;


public aspect ObjectReplacement{
    pointcut inTest() : execution(public void ClientBeanTest.*());
    pointcut jndiLookup(String name) : cflow(inTest()) &&
                                       call(Object javax.naming.Context.lookup(String)) &&
                                       args(name);
    

    Object around(String name) : jndiLookup(name){
        if("java:comp/env/ejb/CustomerManager".equals(name)){
            return new MockCustomerManagerHome();
        }
        throw new Error("ClientBean should not lookup any EJBs except CustomerManager");
    }
}